package com.ss.android.ugc.aweme.setting.page.datasave.zerorating;

import X.0HH;
import X.DaP;
import X.M12;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import com.bytedance.covode.number.Covode;
import com.bytedance.ies.powerlist.PowerCell;
import kotlin.h.b.n;

public abstract class FreeDataCommonCell<T extends DaP> extends PowerCell<T> implements View.OnClickListener {
    static {
        Covode.recordClassIndex(105989);
    }

    public void LIZ(T t) {
        M12.LIZ(t);
    }

    public final View LIZ(ViewGroup viewGroup) {
        M12.LIZ(viewGroup);
        View LIZ = 0HH.LIZ(LayoutInflater.from(viewGroup.getContext()), 2131559769, viewGroup, false);
        LIZ.setOnClickListener(this);
        n.LIZIZ(LIZ, "");
        return LIZ;
    }
}
